Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.xmlschema
Class AttributeGroupState

    java.lang.Object
      com.sun.msv.reader.State
          com.sun.msv.reader.SimpleState
              com.sun.msv.reader.ExpressionState
                  com.sun.msv.reader.ExpressionWithChildState
                      com.sun.msv.reader.xmlschema.RedefinableDeclState
                          com.sun.msv.reader.xmlschema.AttributeGroupState

All Implemented Interfaces:
  AnyAttributeOwner, org.xml.sax.ContentHandler, ExpressionOwner

public class AttributeGroupState
extends RedefinableDeclState
implements AnyAttributeOwner

parses <attributeGroup /> element.

Author:
  Kohsuke KAWAGUCHI

Field Summary

Fields inherited from class com.sun.msv.reader.State
`reader`

Constructor Summary
`AttributeGroupState()`

Method Summary
`void` | `setAttributeWildcard(AttributeWildcard local)` Sets the attribtue wildcard.

Methods inherited from class com.sun.msv.reader.ExpressionWithChildState
`onEndChild`

Methods inherited from class com.sun.msv.reader.SimpleState
`endDocument, endElement, startElement`

Methods inherited from class com.sun.msv.reader.State
`_assert, characters, endPrefixMapping, getBaseURI, getLocation, getParentState, getStartTag, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeGroupState

    public AttributeGroupState()

Method Detail

### setAttributeWildcard

    public void setAttributeWildcard(AttributeWildcard local)

  Description copied from interface: `AnyAttributeOwner`
  Sets the attribtue wildcard.

  Specified by:
    `setAttributeWildcard` in interface `AnyAttributeOwner`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD